# ##############################################################################
# # Script     : PBP::Moose::Role                                              #
# # -------------------------------------------------------------------------- #
# # Copyright  : Free under 'GNU General Public License' or 'Artistic License' #
# # Authors    : JVBSOFT - Jrgen von Brietzke                   0.001 - 1.100 #
# # Version    : 1.100                                             13.Feb.2016 #
# # -------------------------------------------------------------------------- #
# # Function   : Implements the role for the change of name of the getter and  #
# #              setter methods.                                               #
# # -------------------------------------------------------------------------- #
# # Language   : PERL 5                                (V) 5.12.xx  -  5.22.xx #
# # Coding     : ISO 8859-15 / Latin-9                        UNIX-lineendings #
# # Standards  : Perl-Best-Practices                       severity 1 (brutal) #
# # -------------------------------------------------------------------------- #
# # Pragmas    : none                                                          #
# # -------------------------------------------------------------------------- #
# # Module     : Moose                                  ActivePerl-CORE-Module #
# #              Moose::Exporter                                               #
# #              Moose::Util::MetaRole                                         #
# #              ------------------------------------------------------------- #
# #              PBP::Perl                              ActivePerl-REPO-Module #
# ##############################################################################

package PBP::Moose::Role 1.100;

# ##############################################################################

use 5.012;

use Moose;
use Moose::Exporter;
use Moose::Util::MetaRole;
use PBP::Moose::Role::Attribute;
use PBP::Perl;

# ##############################################################################

my %metaroles = (
   class_metaroles => { attribute         => ['PBP::Moose::Role::Attribute'], },
   role_metaroles  => { applied_attribute => ['PBP::Moose::Role::Attribute'], },
);

Moose::Exporter->setup_import_methods(%metaroles);

# ##############################################################################

no Moose;

# ##############################################################################
# #                                   E N D                                    #
# ##############################################################################
1;
__END__
